Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598777 - 5-second delay during first traceroute after bootup to given local-net address
5-second delay during first traceroute after bootup to given local-net address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 22:39 EDT by Tom Lane
Modified: 2013-07-02 23:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2010-06-01 22:39:02 EDT
Description of problem:
If I attempt a traceroute to another machine on my local network, there is a delay of seemingly-exactly 5 seconds before any results come back --- but only the first time.  Subsequent traceroutes to the same address run at normal speed.

If I do "traceroute -n numeric-address" the delay is still there, which seems to eliminate DNS as a possible source of the delay.

I have also found that if the first contact to a given address is with ping rather than traceroute,
there's no delay.

Have not seen this with previous Fedora versions on the same hardware; whatever it is, it's new in F-13.

Filing as a kernel bug since I suspect it's the IP stack's fault ... but maybe traceroute itself is to blame?

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.33.5-112.fc13.i686
traceroute-2.0.14-1.fc13.i686

How reproducible:
100%

Steps to Reproduce:
1.  Reboot
2.  time traceroute -n some-nearby-machine
3.  time traceroute -n some-nearby-machine
  
Actual results:
[tgl@rh1 ~]$ time traceroute -n hp7410
traceroute to hp7410 (192.168.168.21), 30 hops max, 60 byte packets
 1  192.168.168.21  3.650 ms  3.577 ms  3.785 ms

real    0m5.016s
user    0m0.000s
sys     0m0.007s
[tgl@rh1 ~]$ time traceroute -n hp7410
traceroute to hp7410 (192.168.168.21), 30 hops max, 60 byte packets
 1  192.168.168.21  2.469 ms  2.392 ms  2.358 ms

real    0m0.020s
user    0m0.000s
sys     0m0.016s

Expected results:
Much shorter delay

Additional info:
The delay occurs after printing the first line of traceroute output.
Comment 1 Bug Zapper 2011-06-02 08:24:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 13:18:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.